# Generated by Django 4.2.8 on 2024-01-02 11:33

import constrainedfilefield.fields.file
from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('clients', '0001_initial'),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('assessment', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='Task',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('description_ar', models.TextField(blank=True, verbose_name='Description (AR)')),
                ('description_en', models.TextField(verbose_name='Description (EN)')),
                ('due_date', models.DateTimeField(null=True, verbose_name='Due Date')),
                ('completion_date', models.DateTimeField(blank=True, null=True, verbose_name='Completion Date')),
                ('supporting_documents', constrainedfilefield.fields.file.ConstrainedFileField(blank=True, content_types=['application/pdf', 'image/png', 'image/bmp', 'image/jpg', 'image/jpeg', 'image/gif'], help_text='Upload any documents that shall help the assigned personnel to accomplish the task', max_upload_size=2000000, mime_lookup_length=4096, null=True, upload_to='tasks/supporting_docs', verbose_name='Supporting Documents')),
                ('completion_evidence', constrainedfilefield.fields.file.ConstrainedFileField(blank=True, content_types=['application/pdf', 'image/png', 'image/bmp', 'image/jpg', 'image/jpeg', 'image/gif'], help_text='Upload any documents that prove that the task was completed successfully', max_upload_size=2000000, mime_lookup_length=4096, null=True, upload_to='tasks/completion_evidence', verbose_name='Completion Evidence')),
                ('created_on', models.DateTimeField(auto_now_add=True, null=True, verbose_name='Created On')),
                ('updated_on', models.DateTimeField(auto_now=True, null=True, verbose_name='Updated On')),
                ('assigned_employee', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='assigned_tasks', to='clients.employee', verbose_name='Assigned Employee')),
                ('completed_by', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='completed_tasks', to='clients.employee', verbose_name='Completed By')),
                ('created_by', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='created_tasks', to=settings.AUTH_USER_MODEL, verbose_name='Created By')),
                ('question', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, related_name='tasks', to='assessment.question', verbose_name='Question')),
                ('updated_by', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='updated_tasks', to=settings.AUTH_USER_MODEL, verbose_name='Updated By')),
            ],
        ),
    ]
